#
# gaim_major_ver and gaim_minor_ver should be defined to match the minimum
# Gaim API version _required_ to build Guifications
# Due to the way Gaim checks plugin versions, we need to also ensure that
# the correct minimum version of Gaim is Require:'d based on what version of
# the Gaim headers we actually build with.
#
%define gaim_major_ver 1
%define gaim_minor_ver 1
%define gaim_next_major_ver %(echo $((%{gaim_major_ver}+1)))
%define gaim_build_minor_ver %(pkg-config --modversion gaim | awk -F. '{ print $2 }')

Summary:    Guifications Plugin for Gaim
Name:       gaim-guifications
Version:    2.12
Release:    0%{?gaimdist:.%{gaimdist}}.el4.lsn
License:    GPL
Group:      Applications/Internet
Url:        http://guifications.sourceforge.net/Guifications/
Source:     http://prdownloads.sourceforge.net/guifications/guifications-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-root

Requires:	gaim >= 1:%{gaim_major_ver}.%{gaim_build_minor_ver}, gaim < 1:%{gaim_next_major_ver}

BuildRequires: pkgconfig, libtool, gettext
BuildRequires: gaim-devel >= 1:%{gaim_major_ver}.%{gaim_minor_ver}, gaim-devel < 1:%{gaim_next_major_ver}
%if "%{_vendor}" == "MandrakeSoft"
BuildRequires: libgtk+2.0_0-devel
%else
BuildRequires: gtk2-devel
%endif

%description
Guifications is a graphical notification plugin for the open source instant messaging client Gaim


%prep
%setup -q -n guifications-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install

%if "%{_vendor}" == "MandrakeSoft"
mv -f $RPM_BUILD_ROOT%{_libdir}/gaim/guifications $RPM_BUILD_ROOT%{_libdir}/gaim/guifications.so || :
%endif

strip $RPM_BUILD_ROOT%{_libdir}/gaim/*.so || :
rm -f $RPM_BUILD_ROOT%{_libdir}/gaim/*.la $RPM_BUILD_ROOT%{_libdir}/gaim/*.a

%find_lang guifications

%clean
rm -rf $RPM_BUILD_ROOT

%files -f guifications.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README doc/flow.png doc/flow.dia doc/QUOTES
%{_libdir}/gaim/*.so
%{_datadir}/pixmaps/gaim/guifications

%changelog
* Tue Aug 2 2005 LandShark BuildSys <BuildSys@LandShark.Net>
- Fixed 'Show While Away' bug

* Sat Jul 30 2005 LandShark BuildSys <Buildsys@LandShark.Net>
- 2.11 Release

* Fri May 20 2005 LandShark BuildSys <Buildsys@LandShark.Net>
- 2.10 Release
